package com.example.lesson2;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;

public class MainWindow extends Activity {
	
	private final static int SETTINGS_RESULT = 0;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main_window);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main_window, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		TextView otResult = (TextView) findViewById(R.id.editTextMenuResult);

		switch (item.getItemId()) {
			case R.id.about:
				// Display 'About' page (activity)
				Intent opAbout = new Intent(this, About.class);
				startActivity(opAbout);
				break;
			case R.id.action_settings:
				// Display 'Settings' page (activity) and wait for result
				Intent opSettings = new Intent(this, Settings.class);
				startActivityForResult(opSettings, SETTINGS_RESULT);
				break;
			case R.id.item1:
				otResult.setText("You have selected: Item 1");
				break;
			case R.id.item2:
				otResult.setText("You have selected: Item 2");
				break;
			case R.id.item3:
				otResult.setText("You have selected: Item 3");
				break;
			default:
				return super.onOptionsItemSelected(item);
		}	
		return true;
	}

	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		// TODO Auto-generated method stub
		super.onActivityResult(requestCode, resultCode, data);

		// catch Settings page result
		if (requestCode == SETTINGS_RESULT && resultCode == RESULT_OK) {
			// Get settings vote result and display it on the main page
			float fRes = data.getFloatExtra(Settings.SETTINGS_RESULT, 0);
			TextView otSettingsResult = (TextView) findViewById(R.id.textViewSettingsResult);
			otSettingsResult.setText(fRes + " stars");
		}
	}

}
